# WOK
TKWOK
WOKOrbix

# WOKOrbix_IDLSource Class Reference

`#include <WOKOrbix_IDLSource.hxx>`

Inheritance diagram for WOKOrbix_IDLSource:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOrbix_IDLSource (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT Handle_WOKernel_File | GetUnitDescr () const

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_IDLSource::WOKOrbix_IDLSource | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKOrbix_IDLSource::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKStep_Source.

Standard_EXPORT Handle_WOKernel_File WOKOrbix_IDLSource::GetUnitDescr | ( |  | ) | const`[protected]`

Standard_EXPORT const WOKOrbix_IDLSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_Source.

The documentation for this class was generated from the following file:

- WOKOrbix_IDLSource.hxx